Skip to navigation

Get Job Attempt

View as Markdown
Get an attempt by ID or the reserved current selector.

Path parameters

jobstringRequired
attemptstringRequired
workspacestringRequired

Response

Successful Response
idstring
namestring
jobstring
Parent job ID
workspacestring
seqinteger
platform_specobject
Specification for a platform job, containing steps and secrets.
statusenum

Enumeration of possible job statuses.

This enum represents the various states a job can be in during its lifecycle, from creation to a terminal state.

created_atdatetime
updated_atdatetime
specmap from strings to anyOptional
status_detailsmap from strings to anyOptional
error_detailsmap from strings to anyOptional
is_currentbooleanOptionalDefaults to false

Errors

422
Unprocessable Entity Error